Package ghidra.program.model.lang

# Class ContextSetting

java.lang.Object
ghidra.program.model.lang.ContextSetting

public final class ContextSetting extends Object
Class for context configuration information as part of the compiler configuration (CompilerSpec)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextSetting(Register register, BigInteger value, Address startAddr, Address endAddr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `encode(Encoder encoder)`
  `static void`
  `encodeContextData(Encoder encoder, List<ContextSetting> ctxList)`
  `Address`
  `getEndAddress()`
  `Register`
  `getRegister()`
  `Address`
  `getStartAddress()`
  `BigInteger`
  `getValue()`
  `boolean`
  `isEquivalent(ContextSetting obj)`
  Determine if this ContextSetting is equivalent to another specified instance
  `static void`
  `parseContextData(List<ContextSetting> resList, XmlPullParser parser, CompilerSpec cspec)`
  `static void`
  `parseContextSet(List<ContextSetting> resList, XmlPullParser parser, CompilerSpec cspec)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContextSetting

    public ContextSetting(Register register, BigInteger value, Address startAddr, Address endAddr)

- ## Method Details

  - ### getRegister

    public Register getRegister()

  - ### getValue

    public BigInteger getValue()

  - ### getStartAddress

    public Address getStartAddress()

  - ### getEndAddress

    public Address getEndAddress()

  - ### encode

    public void encode(Encoder encoder) throws IOException
    Throws:
      `IOException`

  - ### isEquivalent

    public boolean isEquivalent(ContextSetting obj)
    Determine if this ContextSetting is equivalent to another specified instance
    Parameters:
      `obj` - is the other instance
    Returns:
      true if they are equivalent

  - ### parseContextSet

    public static void parseContextSet(List<ContextSetting> resList, XmlPullParser parser, CompilerSpec cspec) throws XmlParseException
    Throws:
      `XmlParseException`

  - ### parseContextData

    public static void parseContextData(List<ContextSetting> resList, XmlPullParser parser, CompilerSpec cspec) throws XmlParseException
    Throws:
      `XmlParseException`

  - ### encodeContextData

    public static void encodeContextData(Encoder encoder, List<ContextSetting> ctxList) throws IOException
    Throws:
      `IOException`